Modifiche

Da GolemWiki.

Pkgsrc su Slackware

10 byte rimossi, 13:36, 19 apr 2019
m
Pacchetti essenziali
* '''Audit:''' lista di pacchetti con licenze non free, pkgsrc darà errori se il pacchetto che si desidera installare ha una licenza non libera. Per aggiungerlo ugualmente la sua licenza deve essere aggiunta nel file mk.conf ''(es.: ACCEPTABLE_LICENSES+= vim-license    # /usr/pkg/sbin/download-vulnerability-list)''
* '''Digest:''' contiene la lista delle vulnerabilità dei vari pacchetti. Per far sì che pkgsrc ignori questi errori è necessario installarlo ed aggiungere il pacchetto su mk.conf ''(es.: ALLOW_VULNERABLE_PACKAGES=vim)''
# cd /usr/pkgsrc/pkgtools/digest
# bmake install
 
# /usr/pkg/sbin/download-vulnerability-list
== Mantenere e aggiornare il sistema ==
34
contributi

Menu di navigazione